petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMAIJRedimension

Get an MAIJ matrix with the same action, but for a different block size

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMAIJRedimension(Mat A,PetscInt dof,Mat *B)

Logically Collective Many br

### Input Parameter

| A | - the MAIJ matrix Many br
| dof | - the block size for the new matrix Many br

### Output Parameter

B -the new MAIJ matrix Many br

Many br

### See Also

MatCreateMAIJ()

Level:advanced
Location:src/mat/impls/maij/maij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages